From: "Guilherme Amadio" <amadio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-physics/clhep/
Date: Mon, 6 Sep 2021 09:45:01 +0000 (UTC) [thread overview]
Message-ID: <1630921486.7759614a9e2a716a6373f0218f08690971d91876.amadio@gentoo> (raw)
commit: 7759614a9e2a716a6373f0218f08690971d91876
Author: Guilherme Amadio <amadio <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 6 08:05:52 2021 +0000
Commit: Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Mon Sep 6 09:44:46 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7759614a
sci-physics/clhep: version bump to 2.4.5.1
Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Guilherme Amadio <amadio <AT> gentoo.org>
sci-physics/clhep/Manifest | 1 +
sci-physics/clhep/clhep-2.4.5.1.ebuild | 55 ++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/sci-physics/clhep/Manifest b/sci-physics/clhep/Manifest
index 1a028dc31e3..303f3a4541c 100644
--- a/sci-physics/clhep/Manifest
+++ b/sci-physics/clhep/Manifest
@@ -1,3 +1,4 @@
DIST clhep-2.4.1.3.tgz 1537908 BLAKE2B 92fd1fcc415b01d8efa44be67c3bf9e58af2b4d18b6e7ee2161fbc20312428a6f17eacc09150ccff7fefb1686161518042f5c2f7558ff00b4d5696d002432ece SHA512 f7a52b353dc2c6d30cb7d307af71a028838ec674af2a50fe0199335d0b0f7fb4b84489ccfd12f21ecb7b1327acbc87065e7e87363308fd0caad5748a657aac13
DIST clhep-2.4.4.0.tgz 1541722 BLAKE2B 077048ea3ce94de88f08a1ae51ab9af892385d6747ed9f875e13b5aacc725e85f723031d42f526ca53050c07dad621053008c71d0f255f32893724f3e8189e52 SHA512 3ae88c8f31877c6e2cac7f7612946e9989186876c66015e6bfeab19260814c8a8bfb21fa28dd251cd2c43e4e3f63f336249c430c984f84810441603e949ecb5d
DIST clhep-2.4.4.2.tgz 1541867 BLAKE2B 69f23c298db57fbd23a505facd993725f4f21b410463069570e98826dc96d54f309b010df27a5fe910c756bfb1dcdffdb9b47452ef5ddadd5a91ed81a1d9566e SHA512 c267e113111c139f4048db774c81167e53a70d4911f8106c3fabf5980935dfc9b451108385e9d8b8dccace99b4732a21ec0ea2fb86004bb85d04c02cfa54a619
+DIST clhep-2.4.5.1.tgz 1551358 BLAKE2B e428946163dd525291643e9cdb4921dea64feacf4281aaa4b1466bed021e123ac29fa654e115efa3bb1d154869b4c04196f562850b5e6e162e98001a3d901727 SHA512 68612004a92c6dc036471f440bc00605b611a6f2f9f46ab7343c1f83357498bb7518c4dd2e44d0aef754188d5efbc3ac9187c2371bc6bd46ca076ab4ff13afae
diff --git a/sci-physics/clhep/clhep-2.4.5.1.ebuild b/sci-physics/clhep/clhep-2.4.5.1.ebuild
new file mode 100644
index 00000000000..ab61250e037
--- /dev/null
+++ b/sci-physics/clhep/clhep-2.4.5.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="High Energy Physics C++ library"
+HOMEPAGE="http://proj-clhep.web.cern.ch/proj-clhep/"
+SRC_URI="http://proj-clhep.web.cern.ch/proj-clhep/dist1/${P}.tgz"
+LICENSE="GPL-3 LGPL-3"
+SLOT="2/${PV}"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+IUSE="doc test threads"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ doc? (
+ app-doc/doxygen
+ dev-texlive/texlive-bibtexextra
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-fontutils
+ dev-texlive/texlive-latex
+ dev-texlive/texlive-latexextra
+ )
+"
+
+S="${WORKDIR}/${PV}/CLHEP"
+
+src_prepare() {
+ cmake_src_prepare
+
+ # respect flags
+ sed -i -e 's:-O::g' cmake/Modules/ClhepVariables.cmake || die
+ # dont build test if not asked
+ if ! use test; then
+ cmake_comment_add_subdirectory test
+ fi
+ # gentoo doc directory
+ if use doc; then
+ grep -rl 'share/doc/CLHEP' |
+ xargs sed -i \
+ -e "s:share/doc/CLHEP:share/doc/${PF}:" \
+ {.,*}/CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCLHEP_BUILD_DOCS=$(usex doc)
+ -DCLHEP_SINGLE_THREAD=$(usex threads no yes)
+ )
+ cmake_src_configure
+}
next reply other threads:[~2021-09-06 9:45 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-06 9:45 Guilherme Amadio [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-10 20:04 [gentoo-commits] repo/gentoo:master commit in: sci-physics/clhep/ Guilherme Amadio
2024-03-10 20:04 Guilherme Amadio
2023-12-16 19:16 Arthur Zamarin
2023-10-31 11:46 Guilherme Amadio
2023-10-31 11:46 Guilherme Amadio
2023-08-14 13:15 Benda XU
2023-06-09 15:06 Arthur Zamarin
2023-05-24 6:50 Guilherme Amadio
2023-01-29 21:59 Andreas Sturmlechner
2022-12-15 15:40 Guilherme Amadio
2022-12-15 15:40 Guilherme Amadio
2022-06-10 13:21 Guilherme Amadio
2022-06-07 14:45 Guilherme Amadio
2022-05-31 6:53 Guilherme Amadio
2021-06-28 10:46 Guilherme Amadio
2021-06-14 9:27 Guilherme Amadio
2021-06-14 9:27 Guilherme Amadio
2020-11-18 16:55 Guilherme Amadio
2020-11-18 16:47 Guilherme Amadio
2020-11-18 16:47 Guilherme Amadio
2020-11-18 15:50 Guilherme Amadio
2020-11-18 15:50 Guilherme Amadio
2020-11-18 15:50 Guilherme Amadio
2020-05-01 16:59 Matthias Maier
2020-03-16 16:59 Guilherme Amadio
2020-03-16 16:59 Guilherme Amadio
2020-03-01 18:36 Matthias Maier
2019-06-27 13:41 Guilherme Amadio
2019-02-04 19:41 Sergei Trofimovich
2019-01-05 16:55 Andreas Sturmlechner
2019-01-05 16:55 Andreas Sturmlechner
2019-01-05 16:55 Andreas Sturmlechner
2019-01-05 16:55 Andreas Sturmlechner
2019-01-05 16:55 Andreas Sturmlechner
2018-07-11 21:15 Mikle Kolyada
2018-05-18 15:38 Guilherme Amadio
2017-10-16 3:34 David Seifert
2017-03-18 1:03 Guilherme Amadio
2016-12-23 10:11 Johannes Huber
2016-11-13 21:49 David Seifert
2016-07-06 20:15 Guilherme Amadio
2016-02-06 8:39 Jeroen Roovers
2016-01-17 17:02 Agostino Sarubbo
2016-01-15 9:03 Agostino Sarubbo
2016-01-12 19:06 Guilherme Amadio
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1630921486.7759614a9e2a716a6373f0218f08690971d91876.amadio@gentoo \
--to=amadio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox